/**
 * アプリケーションのメイン スクリプトです。
 * 
 * @author Akabeko
 */

// 背景色を変更
Titanium.UI.setBackgroundColor( "#000000" );

////////////////////////////////////////////////////////////////////////////////
//								コントロールの生成
////////////////////////////////////////////////////////////////////////////////

/**
 * メイン ウィンドウです。
 */
var window = Titanium.UI.createWindow( {
	backgroundColor: "#666666",
	navBarHidden: true
} );

/**
 * Go! ボタンです。
 */
var buttonGo = Titanium.UI.createButton( {
	top:     2,
	right:   2,
	width:  40,
	height: 40,
	title: "Go!"
} );

/**
 * 住所入力欄となるテキスト フィールドです。
 */
var editAddress = Titanium.UI.createTextField( {
	top:            2,
	left:           2,
	right:         44,
	height:        40,
	color:         "#336699",
	hintText:      "住所を入力します",
	keyboardType:  Titanium.UI.KEYBOARD_DEFAULT,
	returnKeyType: Titanium.UI.RETURNKEY_DEFAULT,
	borderStyle:   Titanium.UI.INPUT_BORDERSTYLE_ROUNDED
} );

/**
 * マップを表示するためのブラウザ ビューです。
 */
var webView = Titanium.UI.createWebView( {
	top:    44,
	bottom: 42,
	left:    0,
	right:   0,
	url:    "web/index.html"
});

/**
 *  マップ中央の住所を表示するためのラベルです。
 */
var labelAddress = Titanium.UI.createLabel( {
	bottom:       2,
	left:         2,
	right:        2,
	height:       40,
	text:         "住所",
	textAlign:    "center",
	color:        "#FFFFFF",
	shadowColor:  "#444444",
	shadowOffset: { x:0, y:1 }
} );

////////////////////////////////////////////////////////////////////////////////
//									イベント
////////////////////////////////////////////////////////////////////////////////

// Go! ボタン押下イベント
buttonGo.addEventListener( "click", function( e ) {
	if( editAddress.value ) {
		var js = "moveMapToAddress( \"" + editAddress.value + "\" )";
		webView.evalJS( js );
	}
} );

// リソース HTML からの呼び出し
Titanium.App.addEventListener( "onAddressChanged", function( e ) {
	labelAddress.text = ( e.address ? e.address : "住所不明" );
} );

///////////////////////////////////////////////////////////////////////////////
//							ウィンドウの初期化
////////////////////////////////////////////////////////////////////////////////

window.add( buttonGo     );
window.add( editAddress  );
window.add( webView      );
window.add( labelAddress );
window.open();
